{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "PAGE.CAPTION.PHONE.TREEEXPVIEW"
  },
  "caption" : "树导航",
  "codeName" : "phoneTreeExpView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/phoneTreeExpView.json",
  "name" : "phoneTreeExpView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/common.json"
  },
  "getPSDEViewCodeName" : "TreeExpView",
  "getPSDEViewId" : "88F5041B-4643-4999-B9C5-1AC3BF7AB6E3",
  "getPSViewLayoutPanel" : {
    "codeName" : "Usr1026879393",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "TreeExpView实体树导航视图布局面板",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_exp_split",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : 1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "contentWidth" : 300.0,
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_content_left",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX",
          "width" : 300,
          "widthMode" : "PX"
        },
        "getPSPanelItems" : [ {
          "caption" : "树导航栏",
          "itemStyle" : "DEFAULT",
          "itemType" : "CTRLPOS",
          "name" : "treeexpbar",
          "getPSLayoutPos" : {
            "grow" : 1,
            "layout" : "FLEX"
          },
          "showCaption" : true
        } ],
        "width" : 300.0
      }, {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_content_right",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "导航区占位",
          "itemStyle" : "DEFAULT",
          "itemType" : "RAWITEM",
          "name" : "nav_pos",
          "getPSLayoutPos" : {
            "grow" : 1,
            "layout" : "FLEX"
          },
          "getPSRawItem" : {
            "name" : "nav_pos",
            "getPSRawItemParams" : [ {
              "key" : "EXPMODE",
              "value" : "NO_ROUTE"
            } ],
            "predefinedType" : "NAV_POS"
          },
          "showCaption" : true
        } ]
      } ],
      "predefinedType" : "CONTAINER_H_SPLIT"
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "D2F4C4E6-B59F-4884-B8F3-67AF9F1B98DD",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSAppViewEngines" : [ {
      "engineCat" : "VIEW",
      "engineType" : "TreeExpView",
      "name" : "engine"
    } ],
    "getPSAppViewLogics" : [ {
      "logicTrigger" : "CUSTOM",
      "logicType" : "APPUILOGIC",
      "name" : "newdata",
      "getPSAppUILogic" : {
        "actionAfterWizard" : "DEFAULT",
        "logicType" : "PREDEFINED",
        "name" : "新建数据",
        "viewLogicType" : "APP_NEWDATA",
        "batchAddOnly" : false,
        "enableBatchAdd" : false,
        "enableWizardAdd" : false
      }
    }, {
      "logicTrigger" : "CUSTOM",
      "logicType" : "APPUILOGIC",
      "name" : "opendata",
      "getPSAppUILogic" : {
        "logicType" : "PREDEFINED",
        "name" : "打开数据",
        "viewLogicType" : "APP_OPENDATA",
        "editMode" : true
      }
    } ],
    "getPSControls" : [ {
      "codeName" : "TreeExpViewtreeexpbar",
      "controlType" : "TREEEXPBAR",
      "name" : "treeexpbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSAppViewRefs" : [ {
        "name" : "EXPITEM:test",
        "realTitle" : "测试实体编辑视图",
        "getRealTitlePSLanguageRes" : {
          "lanResTag" : "PAGE.TITLE.TEST.EDITVIEW"
        },
        "getRefPSAppView" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
          "viewType" : "DEEDITVIEW"
        }
      } ],
      "getPSControlHandler" : {
        "enableDEFieldPrivilege" : false,
        "id" : "treeexpbar"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "ctrlParams" : {
          "CONTEXTMENURIGHTCLICKINVOKE" : "true"
        },
        "id" : "TREEEXPBAR"
      },
      "getPSControls" : [ {
        "codeName" : "Test",
        "controlType" : "TREEVIEW",
        "getCreatePSControlAction" : {
          "modelref" : true,
          "id" : "create",
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        },
        "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone/PSTREEVIEWS/Test.json",
        "getFetchPSControlAction" : {
          "modelref" : true,
          "id" : "fetch",
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        },
        "getGetPSControlAction" : {
          "modelref" : true,
          "id" : "load",
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        },
        "hookEventNames" : [ "SELECTIONCHANGE", "LOAD" ],
        "logicName" : "test",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
        },
        "getPSControlHandler" : {
          "getPSHandlerActions" : [ {
            "actionName" : "Get",
            "actionType" : "DEACTION",
            "dataAccessAction" : "READ",
            "name" : "load",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Get"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          }, {
            "actionName" : "Create",
            "actionType" : "DEACTION",
            "dataAccessAction" : "CREATE",
            "name" : "create",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Create"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          }, {
            "actionName" : "Update",
            "actionType" : "DEACTION",
            "dataAccessAction" : "UPDATE",
            "name" : "update",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Update"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          }, {
            "actionName" : "Remove",
            "actionType" : "DEACTION",
            "dataAccessAction" : "DELETE",
            "name" : "remove",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Remove"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          }, {
            "actionType" : "DEDATASET",
            "name" : "fetch",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
            }
          } ],
          "userDRAction" : "READ",
          "enableDEFieldPrivilege" : false,
          "id" : "树视图处理器"
        },
        "getPSControlLogics" : [ {
          "eventNames" : "SELECTIONCHANGE",
          "logicTag" : "treeexpbar_tree",
          "logicType" : "CUSTOM",
          "name" : "treeexpbar_selectionchange"
        }, {
          "eventNames" : "LOAD",
          "logicTag" : "treeexpbar_tree",
          "logicType" : "CUSTOM",
          "name" : "treeexpbar_load"
        } ],
        "getPSControlParam" : {
          "autoLoad" : true,
          "showBusyIndicator" : true,
          "ctrlParams" : {
            "CONTEXTMENURIGHTCLICKINVOKE" : "true"
          },
          "id" : "treeexpbar_tree"
        },
        "getPSControls" : [ {
          "codeName" : "TreeExpViewtest_cm",
          "controlType" : "CONTEXTMENU",
          "logicName" : "树节点上下文菜单",
          "name" : "test_cm",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSControlParam" : {
            "id" : "test_cm"
          },
          "getPSDEToolbarItems" : [ {
            "caption" : "向导编辑",
            "groupExtractMode" : "ITEM",
            "itemType" : "DEUIACTION",
            "name" : "deuiaction1",
            "noPrivDisplayMode" : 2,
            "getPSAppViewUIAction" : {
              "modelref" : true,
              "id" : "test_cm_deuiaction1"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "向导编辑",
              "codeName" : "editWizard",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTWizardView.json",
                "viewType" : "DEWIZARDVIEW"
              },
              "frontProcessType" : "TOP",
              "fullCodeName" : "TEST_editWizard",
              "name" : "向导编辑",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "editWizard",
              "uIActionType" : "DEUIACTION",
              "id" : "editWizard@TEST"
            },
            "tooltip" : "向导编辑",
            "uIActionTarget" : "SINGLEKEY",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "按项展开",
            "groupExtractMode" : "ITEM",
            "itemType" : "ITEMS",
            "name" : "items1",
            "getPSUIActionGroup" : {
              "codeName" : "Usr0918449874",
              "name" : "树节点界面行为组",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              },
              "getPSUIActionGroupDetails" : [ {
                "caption" : "百度",
                "detailType" : "DEUIACTION",
                "name" : "uc2eefcf",
                "getPSUIAction" : {
                  "actionTarget" : "NONE",
                  "caption" : "百度",
                  "codeName" : "openBaidu",
                  "counterId" : "openBaidu",
                  "frontProcessType" : "OPENHTMLPAGE",
                  "fullCodeName" : "openBaidu",
                  "htmlPageUrl" : "https://www.baidu.com/",
                  "name" : "百度",
                  "getPSAppCounter" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
                  },
                  "uIActionMode" : "FRONT",
                  "uIActionTag" : "openBaidu",
                  "uIActionType" : "DEUIACTION"
                },
                "addSeparator" : true,
                "showCaption" : true,
                "showIcon" : true
              }, {
                "caption" : "抽屉编辑",
                "detailType" : "DEUIACTION",
                "name" : "u774b0aa",
                "getPSUIAction" : {
                  "actionTarget" : "SINGLEKEY",
                  "caption" : "抽屉编辑",
                  "codeName" : "drawer_edit",
                  "getFrontPSAppView" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView_drawer.json",
                    "viewType" : "DEEDITVIEW"
                  },
                  "frontProcessType" : "WIZARD",
                  "fullCodeName" : "TEST_drawer_edit",
                  "name" : "抽屉编辑",
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                  },
                  "uIActionMode" : "FRONT",
                  "uIActionTag" : "drawer_edit",
                  "uIActionType" : "DEUIACTION",
                  "id" : "drawer_edit@TEST"
                },
                "addSeparator" : true,
                "showCaption" : true,
                "showIcon" : true
              }, {
                "caption" : "刷新",
                "detailType" : "DEUIACTION",
                "name" : "uf7b32fb",
                "getPSSysImage" : {
                  "glyph" : "xf021@FontAwesome",
                  "cssClass" : "fa fa-refresh"
                },
                "getPSUIAction" : {
                  "caption" : "刷新",
                  "codeName" : "RefreshParent",
                  "fullCodeName" : "RefreshParent",
                  "name" : "树界面_刷新父节点操作",
                  "getPSSysImage" : {
                    "glyph" : "xf021@FontAwesome",
                    "cssClass" : "fa fa-refresh"
                  },
                  "predefinedType" : "TREEVIEW_REFRESHPARENTACTION",
                  "timeout" : 60000,
                  "uIActionMode" : "SYS",
                  "uIActionTag" : "RefreshParent",
                  "uIActionType" : "DEUIACTION"
                },
                "addSeparator" : true,
                "showCaption" : true,
                "showIcon" : true
              } ],
              "uniqueTag" : "TEST__Usr0918449874"
            },
            "tooltip" : "按项展开",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "按分组展开",
            "groupExtractMode" : "ITEMS",
            "itemType" : "ITEMS",
            "name" : "items2",
            "getPSUIActionGroup" : {
              "codeName" : "Usr0918449874",
              "name" : "树节点界面行为组",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              },
              "getPSUIActionGroupDetails" : [ {
                "caption" : "百度",
                "detailType" : "DEUIACTION",
                "name" : "uc2eefcf",
                "getPSUIAction" : {
                  "actionTarget" : "NONE",
                  "caption" : "百度",
                  "codeName" : "openBaidu",
                  "counterId" : "openBaidu",
                  "frontProcessType" : "OPENHTMLPAGE",
                  "fullCodeName" : "openBaidu",
                  "htmlPageUrl" : "https://www.baidu.com/",
                  "name" : "百度",
                  "getPSAppCounter" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
                  },
                  "uIActionMode" : "FRONT",
                  "uIActionTag" : "openBaidu",
                  "uIActionType" : "DEUIACTION"
                },
                "addSeparator" : true,
                "showCaption" : true,
                "showIcon" : true
              }, {
                "caption" : "抽屉编辑",
                "detailType" : "DEUIACTION",
                "name" : "u774b0aa",
                "getPSUIAction" : {
                  "actionTarget" : "SINGLEKEY",
                  "caption" : "抽屉编辑",
                  "codeName" : "drawer_edit",
                  "getFrontPSAppView" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView_drawer.json",
                    "viewType" : "DEEDITVIEW"
                  },
                  "frontProcessType" : "WIZARD",
                  "fullCodeName" : "TEST_drawer_edit",
                  "name" : "抽屉编辑",
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                  },
                  "uIActionMode" : "FRONT",
                  "uIActionTag" : "drawer_edit",
                  "uIActionType" : "DEUIACTION",
                  "id" : "drawer_edit@TEST"
                },
                "addSeparator" : true,
                "showCaption" : true,
                "showIcon" : true
              }, {
                "caption" : "刷新",
                "detailType" : "DEUIACTION",
                "name" : "uf7b32fb",
                "getPSSysImage" : {
                  "glyph" : "xf021@FontAwesome",
                  "cssClass" : "fa fa-refresh"
                },
                "getPSUIAction" : {
                  "caption" : "刷新",
                  "codeName" : "RefreshParent",
                  "fullCodeName" : "RefreshParent",
                  "name" : "树界面_刷新父节点操作",
                  "getPSSysImage" : {
                    "glyph" : "xf021@FontAwesome",
                    "cssClass" : "fa fa-refresh"
                  },
                  "predefinedType" : "TREEVIEW_REFRESHPARENTACTION",
                  "timeout" : 60000,
                  "uIActionMode" : "SYS",
                  "uIActionTag" : "RefreshParent",
                  "uIActionType" : "DEUIACTION"
                },
                "addSeparator" : true,
                "showCaption" : true,
                "showIcon" : true
              } ],
              "uniqueTag" : "TEST__Usr0918449874"
            },
            "tooltip" : "按分组展开",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "首项分组展开",
            "groupExtractMode" : "ITEMX",
            "itemType" : "ITEMS",
            "name" : "items3",
            "getPSUIActionGroup" : {
              "codeName" : "Usr0918449874",
              "name" : "树节点界面行为组",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
              },
              "getPSUIActionGroupDetails" : [ {
                "caption" : "百度",
                "detailType" : "DEUIACTION",
                "name" : "uc2eefcf",
                "getPSUIAction" : {
                  "actionTarget" : "NONE",
                  "caption" : "百度",
                  "codeName" : "openBaidu",
                  "counterId" : "openBaidu",
                  "frontProcessType" : "OPENHTMLPAGE",
                  "fullCodeName" : "openBaidu",
                  "htmlPageUrl" : "https://www.baidu.com/",
                  "name" : "百度",
                  "getPSAppCounter" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
                  },
                  "uIActionMode" : "FRONT",
                  "uIActionTag" : "openBaidu",
                  "uIActionType" : "DEUIACTION"
                },
                "addSeparator" : true,
                "showCaption" : true,
                "showIcon" : true
              }, {
                "caption" : "抽屉编辑",
                "detailType" : "DEUIACTION",
                "name" : "u774b0aa",
                "getPSUIAction" : {
                  "actionTarget" : "SINGLEKEY",
                  "caption" : "抽屉编辑",
                  "codeName" : "drawer_edit",
                  "getFrontPSAppView" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView_drawer.json",
                    "viewType" : "DEEDITVIEW"
                  },
                  "frontProcessType" : "WIZARD",
                  "fullCodeName" : "TEST_drawer_edit",
                  "name" : "抽屉编辑",
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                  },
                  "uIActionMode" : "FRONT",
                  "uIActionTag" : "drawer_edit",
                  "uIActionType" : "DEUIACTION",
                  "id" : "drawer_edit@TEST"
                },
                "addSeparator" : true,
                "showCaption" : true,
                "showIcon" : true
              }, {
                "caption" : "刷新",
                "detailType" : "DEUIACTION",
                "name" : "uf7b32fb",
                "getPSSysImage" : {
                  "glyph" : "xf021@FontAwesome",
                  "cssClass" : "fa fa-refresh"
                },
                "getPSUIAction" : {
                  "caption" : "刷新",
                  "codeName" : "RefreshParent",
                  "fullCodeName" : "RefreshParent",
                  "name" : "树界面_刷新父节点操作",
                  "getPSSysImage" : {
                    "glyph" : "xf021@FontAwesome",
                    "cssClass" : "fa fa-refresh"
                  },
                  "predefinedType" : "TREEVIEW_REFRESHPARENTACTION",
                  "timeout" : 60000,
                  "uIActionMode" : "SYS",
                  "uIActionTag" : "RefreshParent",
                  "uIActionType" : "DEUIACTION"
                },
                "addSeparator" : true,
                "showCaption" : true,
                "showIcon" : true
              } ],
              "uniqueTag" : "TEST__Usr0918449874"
            },
            "tooltip" : "首项分组展开",
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "普通分组",
            "itemType" : "ITEMS",
            "name" : "items4",
            "getPSDEToolbarItems" : [ {
              "caption" : "删除",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction5",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "test_cm_deuiaction5"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "caption" : "删除",
                "codeName" : "remove",
                "fullCodeName" : "TEST_remove",
                "name" : "删除（后台行为）",
                "getPSAppDEMethod" : {
                  "modelref" : true,
                  "id" : "Remove"
                },
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                },
                "refreshMode" : 2,
                "timeout" : 60000,
                "uIActionMode" : "BACKEND",
                "uIActionTag" : "remove",
                "uIActionType" : "DEUIACTION",
                "enableConfirm" : true,
                "reloadData" : true,
                "id" : "remove@TEST"
              },
              "tooltip" : "删除",
              "uIActionTarget" : "SINGLEKEY",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "caption" : "向导新建",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction6",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "test_cm_deuiaction6"
              },
              "getPSUIAction" : {
                "actionTarget" : "NONE",
                "caption" : "向导新建",
                "codeName" : "newWizard",
                "getFrontPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTWizardView.json",
                  "viewType" : "DEWIZARDVIEW"
                },
                "frontProcessType" : "TOP",
                "fullCodeName" : "TEST_newWizard",
                "name" : "向导新建",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                },
                "uIActionMode" : "FRONT",
                "uIActionTag" : "newWizard",
                "uIActionType" : "DEUIACTION",
                "id" : "newWizard@TEST"
              },
              "tooltip" : "向导新建",
              "uIActionTarget" : "NONE",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "caption" : "选项操作",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction7",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "test_cm_deuiaction7"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "caption" : "选项操作",
                "codeName" : "OpenOptView",
                "getFrontPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTOptionView.json",
                  "viewType" : "DEOPTVIEW"
                },
                "frontProcessType" : "WIZARD",
                "fullCodeName" : "TEST_OpenOptView",
                "name" : "选项操作",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                },
                "refreshMode" : 1,
                "uIActionMode" : "FRONT",
                "uIActionTag" : "OpenOptView",
                "uIActionType" : "DEUIACTION",
                "globalUIAction" : true,
                "reloadData" : true,
                "id" : "OpenOptView@TEST"
              },
              "tooltip" : "选项操作",
              "uIActionTarget" : "SINGLEKEY",
              "showCaption" : true,
              "showIcon" : true
            } ],
            "tooltip" : "普通分组",
            "showCaption" : true,
            "showIcon" : true
          } ],
          "modelid" : "EF0664A7-3F3D-443F-BCA8-0A56943EE582",
          "modeltype" : "PSDETOOLBAR"
        } ],
        "getPSDEDataImport" : {
          "modelref" : true,
          "id" : "DataImport"
        },
        "getPSDETreeNodeRSs" : [ {
          "getChildPSDETreeNode" : {
            "modelref" : true,
            "id" : "test"
          },
          "name" : "默认根节点 - 动态",
          "getParentPSDETreeNode" : {
            "modelref" : true,
            "id" : "ROOT"
          },
          "parentValueLevel" : 1,
          "searchMode" : 3
        } ],
        "getPSDETreeNodes" : [ {
          "counterMode" : 0,
          "name" : "默认根节点",
          "nodeType" : "ROOT",
          "nodeValue" : "root",
          "text" : "默认根节点",
          "treeNodeType" : "STATIC",
          "hasPSDETreeNodeRSs" : true,
          "appendPNodeId" : false,
          "disableSelect" : false,
          "enableCheck" : false,
          "enableEditData" : false,
          "enableNewData" : false,
          "enableQuickCreate" : false,
          "enableQuickSearch" : true,
          "enableRemoveData" : false,
          "enableViewData" : false,
          "expandFirstOnly" : false,
          "expanded" : false,
          "rootNode" : true,
          "selectFirstOnly" : false,
          "selected" : false,
          "id" : "ROOT"
        }, {
          "counterMode" : 0,
          "dataSourceType" : "DEDATASET",
          "getIconPSAppDEField" : {
            "name" : "FIELD8",
            "codeName" : "Field8"
          },
          "getIdPSAppDEField" : {
            "name" : "TESTID",
            "codeName" : "TESTId"
          },
          "maxSize" : -1,
          "name" : "动态",
          "getNavPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView.json",
            "viewType" : "DEEDITVIEW"
          },
          "nodeType" : "test",
          "getPSAppDEDataSet" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
          },
          "getPSDEContextMenu" : {
            "codeName" : "TreeExpViewtest_cm",
            "controlType" : "CONTEXTMENU",
            "logicName" : "树节点上下文菜单",
            "name" : "test_cm",
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
            },
            "getPSControlParam" : {
              "id" : "test_cm"
            },
            "getPSDEToolbarItems" : [ {
              "caption" : "向导编辑",
              "groupExtractMode" : "ITEM",
              "itemType" : "DEUIACTION",
              "name" : "deuiaction1",
              "noPrivDisplayMode" : 2,
              "getPSAppViewUIAction" : {
                "modelref" : true,
                "id" : "test_cm_deuiaction1"
              },
              "getPSUIAction" : {
                "actionTarget" : "SINGLEKEY",
                "caption" : "向导编辑",
                "codeName" : "editWizard",
                "getFrontPSAppView" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTWizardView.json",
                  "viewType" : "DEWIZARDVIEW"
                },
                "frontProcessType" : "TOP",
                "fullCodeName" : "TEST_editWizard",
                "name" : "向导编辑",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                },
                "uIActionMode" : "FRONT",
                "uIActionTag" : "editWizard",
                "uIActionType" : "DEUIACTION",
                "id" : "editWizard@TEST"
              },
              "tooltip" : "向导编辑",
              "uIActionTarget" : "SINGLEKEY",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "caption" : "按项展开",
              "groupExtractMode" : "ITEM",
              "itemType" : "ITEMS",
              "name" : "items1",
              "getPSUIActionGroup" : {
                "codeName" : "Usr0918449874",
                "name" : "树节点界面行为组",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                },
                "getPSUIActionGroupDetails" : [ {
                  "caption" : "百度",
                  "detailType" : "DEUIACTION",
                  "name" : "uc2eefcf",
                  "getPSUIAction" : {
                    "actionTarget" : "NONE",
                    "caption" : "百度",
                    "codeName" : "openBaidu",
                    "counterId" : "openBaidu",
                    "frontProcessType" : "OPENHTMLPAGE",
                    "fullCodeName" : "openBaidu",
                    "htmlPageUrl" : "https://www.baidu.com/",
                    "name" : "百度",
                    "getPSAppCounter" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
                    },
                    "uIActionMode" : "FRONT",
                    "uIActionTag" : "openBaidu",
                    "uIActionType" : "DEUIACTION"
                  },
                  "addSeparator" : true,
                  "showCaption" : true,
                  "showIcon" : true
                }, {
                  "caption" : "抽屉编辑",
                  "detailType" : "DEUIACTION",
                  "name" : "u774b0aa",
                  "getPSUIAction" : {
                    "actionTarget" : "SINGLEKEY",
                    "caption" : "抽屉编辑",
                    "codeName" : "drawer_edit",
                    "getFrontPSAppView" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView_drawer.json",
                      "viewType" : "DEEDITVIEW"
                    },
                    "frontProcessType" : "WIZARD",
                    "fullCodeName" : "TEST_drawer_edit",
                    "name" : "抽屉编辑",
                    "getPSAppDataEntity" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                    },
                    "uIActionMode" : "FRONT",
                    "uIActionTag" : "drawer_edit",
                    "uIActionType" : "DEUIACTION",
                    "id" : "drawer_edit@TEST"
                  },
                  "addSeparator" : true,
                  "showCaption" : true,
                  "showIcon" : true
                }, {
                  "caption" : "刷新",
                  "detailType" : "DEUIACTION",
                  "name" : "uf7b32fb",
                  "getPSSysImage" : {
                    "glyph" : "xf021@FontAwesome",
                    "cssClass" : "fa fa-refresh"
                  },
                  "getPSUIAction" : {
                    "caption" : "刷新",
                    "codeName" : "RefreshParent",
                    "fullCodeName" : "RefreshParent",
                    "name" : "树界面_刷新父节点操作",
                    "getPSSysImage" : {
                      "glyph" : "xf021@FontAwesome",
                      "cssClass" : "fa fa-refresh"
                    },
                    "predefinedType" : "TREEVIEW_REFRESHPARENTACTION",
                    "timeout" : 60000,
                    "uIActionMode" : "SYS",
                    "uIActionTag" : "RefreshParent",
                    "uIActionType" : "DEUIACTION"
                  },
                  "addSeparator" : true,
                  "showCaption" : true,
                  "showIcon" : true
                } ],
                "uniqueTag" : "TEST__Usr0918449874"
              },
              "tooltip" : "按项展开",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "caption" : "按分组展开",
              "groupExtractMode" : "ITEMS",
              "itemType" : "ITEMS",
              "name" : "items2",
              "getPSUIActionGroup" : {
                "codeName" : "Usr0918449874",
                "name" : "树节点界面行为组",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                },
                "getPSUIActionGroupDetails" : [ {
                  "caption" : "百度",
                  "detailType" : "DEUIACTION",
                  "name" : "uc2eefcf",
                  "getPSUIAction" : {
                    "actionTarget" : "NONE",
                    "caption" : "百度",
                    "codeName" : "openBaidu",
                    "counterId" : "openBaidu",
                    "frontProcessType" : "OPENHTMLPAGE",
                    "fullCodeName" : "openBaidu",
                    "htmlPageUrl" : "https://www.baidu.com/",
                    "name" : "百度",
                    "getPSAppCounter" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
                    },
                    "uIActionMode" : "FRONT",
                    "uIActionTag" : "openBaidu",
                    "uIActionType" : "DEUIACTION"
                  },
                  "addSeparator" : true,
                  "showCaption" : true,
                  "showIcon" : true
                }, {
                  "caption" : "抽屉编辑",
                  "detailType" : "DEUIACTION",
                  "name" : "u774b0aa",
                  "getPSUIAction" : {
                    "actionTarget" : "SINGLEKEY",
                    "caption" : "抽屉编辑",
                    "codeName" : "drawer_edit",
                    "getFrontPSAppView" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView_drawer.json",
                      "viewType" : "DEEDITVIEW"
                    },
                    "frontProcessType" : "WIZARD",
                    "fullCodeName" : "TEST_drawer_edit",
                    "name" : "抽屉编辑",
                    "getPSAppDataEntity" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                    },
                    "uIActionMode" : "FRONT",
                    "uIActionTag" : "drawer_edit",
                    "uIActionType" : "DEUIACTION",
                    "id" : "drawer_edit@TEST"
                  },
                  "addSeparator" : true,
                  "showCaption" : true,
                  "showIcon" : true
                }, {
                  "caption" : "刷新",
                  "detailType" : "DEUIACTION",
                  "name" : "uf7b32fb",
                  "getPSSysImage" : {
                    "glyph" : "xf021@FontAwesome",
                    "cssClass" : "fa fa-refresh"
                  },
                  "getPSUIAction" : {
                    "caption" : "刷新",
                    "codeName" : "RefreshParent",
                    "fullCodeName" : "RefreshParent",
                    "name" : "树界面_刷新父节点操作",
                    "getPSSysImage" : {
                      "glyph" : "xf021@FontAwesome",
                      "cssClass" : "fa fa-refresh"
                    },
                    "predefinedType" : "TREEVIEW_REFRESHPARENTACTION",
                    "timeout" : 60000,
                    "uIActionMode" : "SYS",
                    "uIActionTag" : "RefreshParent",
                    "uIActionType" : "DEUIACTION"
                  },
                  "addSeparator" : true,
                  "showCaption" : true,
                  "showIcon" : true
                } ],
                "uniqueTag" : "TEST__Usr0918449874"
              },
              "tooltip" : "按分组展开",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "caption" : "首项分组展开",
              "groupExtractMode" : "ITEMX",
              "itemType" : "ITEMS",
              "name" : "items3",
              "getPSUIActionGroup" : {
                "codeName" : "Usr0918449874",
                "name" : "树节点界面行为组",
                "getPSAppDataEntity" : {
                  "modelref" : true,
                  "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                },
                "getPSUIActionGroupDetails" : [ {
                  "caption" : "百度",
                  "detailType" : "DEUIACTION",
                  "name" : "uc2eefcf",
                  "getPSUIAction" : {
                    "actionTarget" : "NONE",
                    "caption" : "百度",
                    "codeName" : "openBaidu",
                    "counterId" : "openBaidu",
                    "frontProcessType" : "OPENHTMLPAGE",
                    "fullCodeName" : "openBaidu",
                    "htmlPageUrl" : "https://www.baidu.com/",
                    "name" : "百度",
                    "getPSAppCounter" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPCOUNTERS/UIActionCounter.json"
                    },
                    "uIActionMode" : "FRONT",
                    "uIActionTag" : "openBaidu",
                    "uIActionType" : "DEUIACTION"
                  },
                  "addSeparator" : true,
                  "showCaption" : true,
                  "showIcon" : true
                }, {
                  "caption" : "抽屉编辑",
                  "detailType" : "DEUIACTION",
                  "name" : "u774b0aa",
                  "getPSUIAction" : {
                    "actionTarget" : "SINGLEKEY",
                    "caption" : "抽屉编辑",
                    "codeName" : "drawer_edit",
                    "getFrontPSAppView" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTEditView_drawer.json",
                      "viewType" : "DEEDITVIEW"
                    },
                    "frontProcessType" : "WIZARD",
                    "fullCodeName" : "TEST_drawer_edit",
                    "name" : "抽屉编辑",
                    "getPSAppDataEntity" : {
                      "modelref" : true,
                      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                    },
                    "uIActionMode" : "FRONT",
                    "uIActionTag" : "drawer_edit",
                    "uIActionType" : "DEUIACTION",
                    "id" : "drawer_edit@TEST"
                  },
                  "addSeparator" : true,
                  "showCaption" : true,
                  "showIcon" : true
                }, {
                  "caption" : "刷新",
                  "detailType" : "DEUIACTION",
                  "name" : "uf7b32fb",
                  "getPSSysImage" : {
                    "glyph" : "xf021@FontAwesome",
                    "cssClass" : "fa fa-refresh"
                  },
                  "getPSUIAction" : {
                    "caption" : "刷新",
                    "codeName" : "RefreshParent",
                    "fullCodeName" : "RefreshParent",
                    "name" : "树界面_刷新父节点操作",
                    "getPSSysImage" : {
                      "glyph" : "xf021@FontAwesome",
                      "cssClass" : "fa fa-refresh"
                    },
                    "predefinedType" : "TREEVIEW_REFRESHPARENTACTION",
                    "timeout" : 60000,
                    "uIActionMode" : "SYS",
                    "uIActionTag" : "RefreshParent",
                    "uIActionType" : "DEUIACTION"
                  },
                  "addSeparator" : true,
                  "showCaption" : true,
                  "showIcon" : true
                } ],
                "uniqueTag" : "TEST__Usr0918449874"
              },
              "tooltip" : "首项分组展开",
              "showCaption" : true,
              "showIcon" : true
            }, {
              "caption" : "普通分组",
              "itemType" : "ITEMS",
              "name" : "items4",
              "getPSDEToolbarItems" : [ {
                "caption" : "删除",
                "groupExtractMode" : "ITEM",
                "itemType" : "DEUIACTION",
                "name" : "deuiaction5",
                "noPrivDisplayMode" : 2,
                "getPSAppViewUIAction" : {
                  "modelref" : true,
                  "id" : "test_cm_deuiaction5"
                },
                "getPSUIAction" : {
                  "actionTarget" : "SINGLEKEY",
                  "caption" : "删除",
                  "codeName" : "remove",
                  "fullCodeName" : "TEST_remove",
                  "name" : "删除（后台行为）",
                  "getPSAppDEMethod" : {
                    "modelref" : true,
                    "id" : "Remove"
                  },
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                  },
                  "refreshMode" : 2,
                  "timeout" : 60000,
                  "uIActionMode" : "BACKEND",
                  "uIActionTag" : "remove",
                  "uIActionType" : "DEUIACTION",
                  "enableConfirm" : true,
                  "reloadData" : true,
                  "id" : "remove@TEST"
                },
                "tooltip" : "删除",
                "uIActionTarget" : "SINGLEKEY",
                "showCaption" : true,
                "showIcon" : true
              }, {
                "caption" : "向导新建",
                "groupExtractMode" : "ITEM",
                "itemType" : "DEUIACTION",
                "name" : "deuiaction6",
                "noPrivDisplayMode" : 2,
                "getPSAppViewUIAction" : {
                  "modelref" : true,
                  "id" : "test_cm_deuiaction6"
                },
                "getPSUIAction" : {
                  "actionTarget" : "NONE",
                  "caption" : "向导新建",
                  "codeName" : "newWizard",
                  "getFrontPSAppView" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTWizardView.json",
                    "viewType" : "DEWIZARDVIEW"
                  },
                  "frontProcessType" : "TOP",
                  "fullCodeName" : "TEST_newWizard",
                  "name" : "向导新建",
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                  },
                  "uIActionMode" : "FRONT",
                  "uIActionTag" : "newWizard",
                  "uIActionType" : "DEUIACTION",
                  "id" : "newWizard@TEST"
                },
                "tooltip" : "向导新建",
                "uIActionTarget" : "NONE",
                "showCaption" : true,
                "showIcon" : true
              }, {
                "caption" : "选项操作",
                "groupExtractMode" : "ITEM",
                "itemType" : "DEUIACTION",
                "name" : "deuiaction7",
                "noPrivDisplayMode" : 2,
                "getPSAppViewUIAction" : {
                  "modelref" : true,
                  "id" : "test_cm_deuiaction7"
                },
                "getPSUIAction" : {
                  "actionTarget" : "SINGLEKEY",
                  "caption" : "选项操作",
                  "codeName" : "OpenOptView",
                  "getFrontPSAppView" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/TESTOptionView.json",
                    "viewType" : "DEOPTVIEW"
                  },
                  "frontProcessType" : "WIZARD",
                  "fullCodeName" : "TEST_OpenOptView",
                  "name" : "选项操作",
                  "getPSAppDataEntity" : {
                    "modelref" : true,
                    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/TEST.json"
                  },
                  "refreshMode" : 1,
                  "uIActionMode" : "FRONT",
                  "uIActionTag" : "OpenOptView",
                  "uIActionType" : "DEUIACTION",
                  "globalUIAction" : true,
                  "reloadData" : true,
                  "id" : "OpenOptView@TEST"
                },
                "tooltip" : "选项操作",
                "uIActionTarget" : "SINGLEKEY",
                "showCaption" : true,
                "showIcon" : true
              } ],
              "tooltip" : "普通分组",
              "showCaption" : true,
              "showIcon" : true
            } ],
            "modelid" : "EF0664A7-3F3D-443F-BCA8-0A56943EE582",
            "modeltype" : "PSDETOOLBAR"
          },
          "getPSNavigateContexts" : [ {
            "key" : "TESTID",
            "name" : "TESTID",
            "value" : "testid",
            "rawValue" : false
          } ],
          "getTextPSAppDEField" : {
            "name" : "TESTNAME",
            "codeName" : "TESTName"
          },
          "getTipsPSAppDEField" : {
            "name" : "AMOUNT",
            "codeName" : "Amount"
          },
          "treeNodeType" : "DE",
          "hasPSDETreeNodeRSs" : false,
          "appendPNodeId" : false,
          "disableSelect" : false,
          "enableCheck" : false,
          "enableEditData" : false,
          "enableNewData" : false,
          "enableQuickCreate" : false,
          "enableQuickSearch" : true,
          "enableRemoveData" : false,
          "enableViewData" : false,
          "expandFirstOnly" : false,
          "expanded" : false,
          "rootNode" : false,
          "selectFirstOnly" : false,
          "selected" : false,
          "id" : "test"
        } ],
        "getRemovePSControlAction" : {
          "modelref" : true,
          "id" : "remove",
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        },
        "treeGridMode" : 0,
        "getUpdatePSControlAction" : {
          "modelref" : true,
          "id" : "update",
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
          }
        },
        "enableRootSelect" : false,
        "outputIconDefault" : true,
        "rootVisible" : false,
        "name" : "treeexpbar_tree",
        "modelid" : "62192417-A9EA-41E8-99F9-035F696C54DE",
        "modeltype" : "PSDETREEVIEW"
      } ],
      "title" : "树导航",
      "xDataControlName" : "treeexpbar_tree",
      "enableCounter" : true,
      "enableSearch" : false,
      "showTitleBar" : true,
      "modelid" : "87abf85cee1a97b9d4e7db419e0e7a40_treeexpbar",
      "modeltype" : "PSEXPBAR"
    }, {
      "codeName" : "TreeExpViewtoolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "树点击触发",
      "name" : "toolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlParam" : {
        "id" : "TOOLBAR"
      },
      "getPSDEToolbarItems" : [ {
        "actionLevel" : 200,
        "caption" : "提示",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_deuiaction1"
        },
        "getPSUIAction" : {
          "actionTarget" : "NONE",
          "caption" : "提示",
          "codeName" : "Alert",
          "frontProcessType" : "OTHER",
          "fullCodeName" : "Alert",
          "name" : "弹出提示",
          "scriptCode" : "alert('触发了界面行为')",
          "uIActionMode" : "FRONT",
          "uIActionTag" : "Alert",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "提示",
        "uIActionTarget" : "NONE",
        "showCaption" : true,
        "showIcon" : true
      } ],
      "modelid" : "962DD4C6-6672-4700-B6C5-1CF01271EC14",
      "modeltype" : "PSDETOOLBAR"
    }, {
      "controlType" : "SEARCHBAR",
      "name" : "searchbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlParam" : {
        "id" : "searchbar"
      },
      "quickGroupCount" : -1,
      "quickSearchMode" : 1,
      "quickSearchWidth" : 0,
      "enableFilter" : false,
      "enableGroup" : false,
      "enableQuickSearch" : true,
      "mobileSearchBar" : false
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "PAGE.CAPTION.PHONE.TREEEXPVIEW"
      },
      "caption" : "树导航",
      "codeName" : "TreeExpViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Phone.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "title" : "手机树导航视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.PHONE.TREEEXPVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DETREEEXPVIEW",
  "enableDP" : true,
  "enableFilter" : true,
  "enableQuickSearch" : true,
  "enableSearch" : true,
  "showDataInfoBar" : true,
  "modelid" : "87abf85cee1a97b9d4e7db419e0e7a40",
  "modeltype" : "PSAPPDEVIEW"
}